/*
 * The Pipelined Regular Expression Monitor Compiler System
 * Copyright (c) 2002 University of British Columbia
 * All Rights Reserved.
 *
 *
 * Verilog code generation.
 *
 * Marcio Oliveira -- 2002
 */

#ifndef VERILOG_H
#define VERILOG_H

#include <stdio.h>
#include <compile.h>

void dumpVerilog(FILE *);
void dumpVerilogModuleDeclaration(FILE *);
void dumpVerilogVarDeclaration(FILE *);
void dumpVerilogWire(FILE *);
void dumpVerilogAlways(FILE *);
void dumpVerilogEnd(FILE *);
void dumpVerilogExpression(FILE *, treeNodePtr, char*);
void dumpVerilogBoolExpression(FILE *, treeNodePtr);
void dumpVerilogActionList(FILE *, actionPtr);
void dumpVerilogActionExpression(FILE *, actionNodePtr);
void dumpVerilogIndex(FILE *, indexNodePtr);

#endif
